import request from '@/utils/request'

// 按设备类型获取站点
export function getDisplaySitet(params) {
    return request({
        url: '/survey/surveysite/displaySite',
        method: 'get',
        params
    })
}

// 按分组获取站点
export function getGroupSite(params) {
    return request({
        url: '/survey/surveysite/listGroup',
        method: 'get',
        params
    })
}

// 按分区获取站点
export function getPartitionDisplaySite(params) {
    return request({
        url: '/survey/surveysite/partitionDisplaySite',
        method: 'get',
        params
    })
}

// 获取分区
export function getPartition(params) {
    return request({
        url: '/survey/partition/page',
        method: 'get',
        params
    })
}

// 获取站点实时监测数据
export function getPGBSiteData(params) {
    return request({
        url: '/survey/devicecheckdata/PGBSiteData',
        method: 'get',
        params
    })
}

// 获取站点
export function getSites(params) {
    return request({
        url: '/survey/surveysite/page',
        method: 'get',
        params
    })
}

// 根据设备类型id获取对应指标
export function getTargetByType(params){
    return request({
        url: '/survey/devicetargetp/page',
        method: 'get',
        params
    })
}

// 获取最新监测数据
export function getSiteNewData(params) {
    return request({
        url: '/survey/devicecheckdata/siteNewData',
        method: 'get',
        params
    })
}

// 获取监测曲线实时数据
export function getCurve(params) {
    return request({
        url: '/survey/devicecheckdata/curve',
        method: 'get',
        params
    })
}

// 获取监测曲线每小时均值数据
export function getHourCurve(params) {
    return request({
        url: '/survey/checkdataHour/hourCurve',
        method: 'get',
        params
    })
}

// 获取监测曲线每日均值数据
export function getDayCurve(params) {
    return request({
        url: '/survey/checkdataday/dayCurve',
        method: 'get',
        params
    })
}

// 获取站点监测数据台账分页
export function getDevicecheckdataList(params) {
    return request({
        url: '/survey/devicecheckdata/list',
        method: 'get',
        params
    })
}

// 获取站点监测数据作废
export function checkdataToVoid(params) {
    return request({
        url: '/survey/devicecheckdata/toVoid',
        method: 'get',
        params
    })
}

// 获取设备类型
export function getDevicetypep(params) {
    return request({
        url: '/survey/devicetypep/page',
        method: 'get',
        params
    })
}